Commit 6701340a authored by Francesco Colista's avatar Francesco Colista

testing/kubernetes: added cri-tools as dependency of kubeadm

Fixes #11687

running kubeadm init returns the following error during the pre-flight checks:

$ kubeadm init
W0626 09:02:08.169552   30631 configset.go:202] WARNING: kubeadm cannot validate component configs for API groups [kubelet.config.k8s.io kubeproxy.config.k8s.io]
[init] Using Kubernetes version: v1.18.4
[preflight] Running pre-flight checks
[preflight] WARNING: Couldn't create the interface used for talking to the container runtime: crictl is required for container runtime: exec: "crictl": executable file not found in $PATH

	[ERROR FileExisting-crictl]: crictl not found in system path
parent a83e45c0
......@@ -15,7 +15,7 @@ depends="bash"
_kube_proxy_deps="iptables"
_kubelet_deps="cni-plugins"
_kubeadm_deps="iproute2 socat ethtool"
_kubeadm_deps="iproute2 socat ethtool cri-tools"
makedepends="coreutils findutils go go-bindata linux-headers rsync grep
$_kube_proxy_deps
$_kubelet_deps
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment